Subject: Re: Cygnus used in a Product ?
From: [email-masked] (Larry Meadows)

18 Oct 1997 13:36:59 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Claus Brod)
Cc: [email-masked]

> In other words, as long as I just use the Cygwin32 DLL(s) along with the
> header files to compile and link my application, I can distribute my
> application along with the Cygwin32 DLLs (plus maybe the sources for the
> DLLs), but I am not forced to publish the sources for my application?

That's not true according to cygnus. Note that the cygwin32 stuff is under
the GPL, not the LGPL; so the fact that you link against it requires
you to distribute your source. The following is a quote from the
FAQ (http://www.cygnus.com/misc/gnu-win32/faq.html):

The Cygwin32 API library found in the winsup subdirectory of the source code is now also covered by the GNU GPL. Since by default all
executables link against this library, programs compiled by the beta 17 tools will also have to be free software distributed under the GPL
with source code available to all. 

lfm
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".